#ifndef SN_SnCommWinSBD
#define SN_SnCommWinSBD

#include "SnCommWin.h"
#include "SnConfigFrame.h"

class SnCommWinSBD : public SnCommWin {

 public:
    SnCommWinSBD(COMM_SERIALTYPE* sbd);
    virtual ~SnCommWinSBD() {}
    
    virtual SnConfigFrame::EDatPackBit GetCommType() const
        { return SnConfigFrame::kIrid; }
    
    virtual ECommWinResult OpenWindow(const bool sendStatus,
                                      const SnConfigFrame& conf,
                                      const SnPowerFrame& pow, // com win power
                                      const SnEventFrame& stEvent,
                                      const uint16_t seq,
                                      const float thmrate,
                                      const float evtrate,
                                      const uint32_t powerOnTime,
                                      const SnTempFrame& temper, // com win temp
                                      char* const genBuf,
                                      const uint32_t timeout_clock);
/*
    virtual ECommWinResult  OpenWindow(const uint32_t timeout,
                                       const bool sendStatus,
                                       const SnConfigFrame& conf,
                                       const SnEventFrame& evt,
                                       const SnPowerFrame& pow,
                                       const uint16_t seq,
                                       const float thmrate,
                                       const float evtrate,
                                       const uint32_t powerOnTime,
                                       const SnTempFrame& temper,
                                       char* const genBuf);
*/
};

#endif // SN_SnCommWinSBD
